OpenNMS API 1.2.9

## org.opennms.netmgt.poller.nsclient
Class CheckNsc

    java.lang.Object
      org.opennms.netmgt.poller.nsclient.CheckNsc

public class CheckNsc
extends java.lang.Object

This is an example commandline tool to perform checks against NSClient services using `NsclientManager`

Author:
  Matt Raykowski , OpenNMS

Constructor Summary
`CheckNsc()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckNsc

    public CheckNsc()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - args[0] must contain the remote host name args[1] must contain the check name (e.g. CLIENTVERSION) args[2] (crit) and args[2] (warn) must contain a numeric value args[4] must contain an empty string or a parameter related to the check

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.